/*
 *  LTC3577 PMIC PLATFORM DEVICE
 *
 *  Copyright (C) 2009 TomTom BV <http://www.tomtom.com/>
 *  Author: Andrzej Zukowski <andrzej.zukowski@tomtom.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.
 *
 */

#include <linux/i2c.h>
#include <linux/platform_device.h>
#include <linux/mfd/ltc3577/pmic.h>

#define LTC3577_BK1BRST_EN	(0x1 << 2)
#define LTC3577_BK2BRST_EN	(0x1 << 3)
#define LTC3577_BK3BRST_EN	(0x1 << 4)
#define LTC3577_BK_MASK		(0x7 << 2)

#define LTC3577_SLEW_1NS	(0x0 << 5)
#define LTC3577_SLEW_2NS	(0x1 << 5)
#define LTC3577_SLEW_4NS	(0x2 << 5)
#define LTC3577_SLEW_8NS	(0x3 << 5)
#define LTC3577_SLEW_MASK	(0x3 << 5)

static struct ltc3577_pmic_data pdata = {
	.burst_mode = LTC3577_BK1BRST_EN |
		      LTC3577_BK2BRST_EN |
		      LTC3577_BK3BRST_EN,
	.slew_rate  = LTC3577_SLEW_1NS
};

struct platform_device mendoza_ltc3577_pmic = {
	.name		= "ltc3577-pmic",
	.id		= -1,
	.dev		= {
		.platform_data	= &pdata,
	},
};
